%define libname lib%name
%define major 4
%define minor 0
%define bugfix 3
%define _optlevel 3


Name: allegro
Version: %major.%minor.%bugfix
Release: alt1

Group: System/Libraries
Summary: Game programming library
License: Public Domain
URL: http://alleg.sf.net

Source0: http://sunsite.auc.dk/allegro/%name-%version.tar.bz2
Patch0: allegro-4.0.1-allegro.h.patch
Patch1: allegro-4.1.8-allegro.h.patch

Obsoletes: %name
Provides: %name = %version-%release
Conflicts: %libname-svgalib < %version-%release

# Automatically added by buildreq on Wed Dec 25 2002
BuildRequires: XFree86-devel XFree86-libs esound-devel libalsa2-devel libaudiofile-devel

%package -n %libname
Group: System/Libraries
Summary: Game programming library
Requires: %libname = %version-%release

%package -n %libname-alsa
Group: System/Libraries
Summary: Game programming library
Requires: %libname = %version-%release

%package -n %libname-devel
Group: Development/C
Summary: Game programming library development files
Requires: %libname = %version-%release
Provides: allegro-devel = %version-%release
Obsoletes: allegro-devel

%package -n %libname-devel-static
Group: Development/C
Summary: Game programming library development files
Requires: %libname-devel = %version-%release

%description
Allegro is a library of functions for use in computer games.

%description -n %libname
Allegro is a library of functions for use in computer games.

%description -n %libname-alsa
Allegro is a library of functions for use in computer games - alsa plugins.

%description -n %libname-devel
Allegro is a library of functions for use in computer games.

This package contains files needed to build programs using Allegro.

%description -n %libname-devel-static
Allegro is a library of functions for use in computer games.

This package contains files needed to build programs using Allegro.

%prep
%setup -q -n allegro-%version
%if "%version" < "4.1.0"
%patch0 -p1
%else
%patch1 -p1
%endif

%build
%configure \
	--enable-fbcon=no \
	--enable-shared \
	--enable-static \
	--enable-modules=yes \
	--enable-esddigi=yes \
	--enable-alsadigi=yes \
	--enable-artsdigi=yes \
	\
	--enable-alsamidi=yes \
	--enable-ossdigi=yes \
	\
	--enable-svgalib=no

%make depend
%add_optflags -funroll-loops -ffast-math -fomit-frame-pointer -I/usr/include/artsc
%make CFLAGS="%optflags"

%install
%makeinstall modulebasedir=%buildroot//%_libdir/allegro
ln -s liballeg-%major.%minor.%bugfix.so %buildroot/%_libdir/liballeg.so

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %libname
%doc readme.txt
%_libdir/*.so*
%dir %_libdir/allegro/%major.%minor
%_libdir/allegro/%major.%minor/alleg-dga2.so
%_libdir/allegro/%major.%minor/alleg-esddigi.so
%_libdir/allegro/%major.%minor/alleg-vga.so
%_libdir/allegro/%major.%minor/modules.lst

#%files -n %libname-alsa
#%_libdir/allegro/%major.%minor/alleg-alsamidi.so
#%_libdir/allegro/%major.%minor/alleg-alsadigi.so

%files -n %libname-devel
%doc docs/txt/*
%_bindir/*
%_includedir/*

%files -n %libname-devel-static
%_libdir/*.a

%changelog
* Mon Apr 28 2003 Sergey V Turchin <zerg at altlinux dot ru> 4.0.3-alt1
- 4.0.3 final

* Mon Apr 07 2003 Sergey V Turchin <zerg at altlinux dot ru> 4.0.3-alt0.1.rc3
- new version

* Fri Feb 28 2003 Sergey V Turchin <zerg@altlinux.ru> 4.0.3-alt0.1.rc1
- new version

* Wed Dec 25 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.2-alt4
- rebuild without alsa1

* Wed Oct 16 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.2-alt3
- add missing files

* Wed Oct 16 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.2-alt2
- build with gcc3.2
- build without svgalib

* Fri Aug 16 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.2-alt1
- new version

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.1-alt1
- 4.0.1
- Libification
- Removed ALSA modules to another subpackage

* Tue Mar 19 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.0-alt3
- add patch0 (from cooker)

* Mon Jan 21 2002 Sergey V Turchin <zerg@altlinux.ru> 4.0.0-alt2
- fix build

* Thu Dec 20 2001 Sergey V Turchin <zerg@altlinux.ru> 4.0.0-alt1
- new version

* Fri Jul 27 2001 Sergey V Turchin <zerg@altlinux.ru> 3.9.36-alt1
- build for ALT

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.36-1mdk
- updated to 3.9.36

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.34-1mdk
- updated by Vlatko Kosturjak <kost@linux-mandrake.com> 3.9.34-1mdk
	- support for new version
	- removed patch
- use egcs

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 3.9.33-3mdk
- ExcludeArch: PPC
- Fix devel description
- Spec clean up

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.9.33-2mdk
- rebuild

* Wed Sep 27 2000 Pixel <pixel@mandrakesoft.com> 3.9.33-1mdk
- initial spec
